<?php

declare(strict_types=1);

namespace Drupal\iubenda_integration;

/**
 * This class contains methods to attach the iubenda library to the page.
 *
 * @group iubenda_integration
 */
interface LibraryAttacherInterface {

  /**
   * Attaches the iubenda Privacy Policy library to the page.
   *
   * @param array $attachments
   *   The render array to which the library should be attached.
   */
  public function attachIubendaLibrary(array &$attachments): void;

  /**
   * Attaches the iubenda Cookie Solution library to the page.
   *
   * @param array $attachments
   *   The render array to which the library should be attached.
   */
  public function attachCookieSolutionLibrary(array &$attachments): void;

  /**
   * Attaches the iubenda Consent Solution library to the page.
   *
   * @param array $attachments
   *   The render array to which the library should be attached.
   */
  public function attachConsentSolutionLibrary(array &$attachments): void;

}
