<?php

namespace Drupal\iubenda_integration\Plugin\KeyType;

use Drupal\Core\Form\FormStateInterface;
use Drupal\key\Plugin\KeyTypeBase;

/**
 * Defines an iubenda Consent Database API key type.
 *
 * @KeyType(
 *   id = "iubenda_consent_database_api",
 *   label = @Translation("iubenda Consent Database"),
 *   description = @Translation("This API key is used to send the information to the iubenda Consent Database service."),
 *   group = "authentication",
 *   key_value = {
 *     "plugin" = "text_field"
 *   }
 * )
 */
class IubendaApiKeyType extends KeyTypeBase {

  /**
   * {@inheritdoc}
   */
  public static function generateKeyValue(array $configuration): string {
    // Keys are provided by iubenda, there shouldn't be anything generated here.
    return '';
  }

  /**
   * {@inheritdoc}
   */
  public function validateKeyValue(array $form, FormStateInterface $form_state, $key_value) {
    // Validation of the key value is optional.
  }

}
